# Enum Class RowSelectChange

java.lang.Object
java.lang.Enum<RowSelectChange>
org.daypilot.ui.enums.gantt.RowSelectChange

All Implemented Interfaces:
  `Serializable`, `Comparable<RowSelectChange>`, `Constable`

public enum RowSelectChange extends Enum<RowSelectChange>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DESELECTED`
  `SELECTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RowSelectChange`
  `fromString(String id)`
  `String`
  `toString()`
  `static RowSelectChange`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RowSelectChange[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECTED

    public static final RowSelectChange SELECTED

  - ### DESELECTED

    public static final RowSelectChange DESELECTED

- ## Method Details

  - ### values

    public static RowSelectChange[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RowSelectChange valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static RowSelectChange fromString(String id)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<RowSelectChange>`